# QueryParameterProperty

An object that represents the query parameter in the request.

- Source: Generated at build time
- Type last changed: v2.93.0 · 23 Aug 2023

## Example

TypeScript:

```ts
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import { aws_appmesh as appmesh } from 'aws-cdk-lib';
const queryParameterProperty: appmesh.CfnGatewayRoute.QueryParameterProperty = {
  name: 'name',

  // the properties below are optional
  match: {
    exact: 'exact',
  },
};
```

Python:

```python
# The code below shows an example of how to instantiate this type.
# The values are placeholders you should change.
from aws_cdk import aws_appmesh as appmesh

query_parameter_property = appmesh.CfnGatewayRoute.QueryParameterProperty(
    name="name",

    # the properties below are optional
    match=appmesh.CfnGatewayRoute.HttpQueryParameterMatchProperty(
        exact="exact"
    )
)
```

Java:

```java
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import software.amazon.awscdk.services.appmesh.*;

QueryParameterProperty queryParameterProperty = QueryParameterProperty.builder()
        .name("name")

        // the properties below are optional
        .match(HttpQueryParameterMatchProperty.builder()
                .exact("exact")
                .build())
        .build();
```

C# / .NET:

```csharp
// Install: dotnet add package Amazon.CDK.Lib
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
using Amazon.CDK.AWS.AppMesh;

var queryParameterProperty = new QueryParameterProperty {
    Name = "name",

    // the properties below are optional
    Match = new HttpQueryParameterMatchProperty {
        Exact = "exact"
    }
};
```

Golang:

```go
// Install: go get github.com/aws/aws-cdk-go/awscdk/v2
// The code below shows an example of how to instantiate this type.
// The values are placeholders you should change.
import "github.com/aws/aws-cdk-go/awscdk"

queryParameterProperty := &QueryParameterProperty{
	Name: jsii.String("name"),

	// the properties below are optional
	Match: &HttpQueryParameterMatchProperty{
		Exact: jsii.String("exact"),
	},
}
```

## Properties

- `match`: [IResolvable](https://docs.aws.amazon.com/cdk/api/v2/docs/aws-cdk-lib.IResolvable.html) | [CfnGatewayRoute.HttpQueryParameterMatchProperty](https://docs.aws.amazon.com/cdk/api/v2/docs/aws-cdk-lib.aws_appmesh.CfnGatewayRoute.HttpQueryParameterMatchProperty.html) — The query parameter to match on.

- `name`: string (required) — A name for the query parameter that will be matched on.
